summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2011-08-07 20:32:02 (GMT)
committer Jaromil <jaromil@dyne.org>2011-08-07 20:32:02 (GMT)
commit1821559cdd04a8c8dad544ec79988b6efe367b36 (patch)
tree9ec3adc3f16759f78fc9cfe724974b2d60118905
parent00325880da30adf983cbd805056ddf6894d9f1b8 (diff)
reorganization and new scripts to install
-rw-r--r--dyneIII/.gitignore2
-rwxr-xr-xdyneIII/install-grub231
-rwxr-xr-xdyneIII/install-usb-live (renamed from dyneIII/live-boot-usb/live-usb.sh)0
-rwxr-xr-xdyneIII/live-build-refine (renamed from dyneIII/live-build-refine/lb-refine)0
-rwxr-xr-xdyneIII/live-init-scripts/scripts/live6
5 files changed, 37 insertions, 2 deletions
diff --git a/dyneIII/.gitignore b/dyneIII/.gitignore
new file mode 100644
index 0000000..982dee2
--- /dev/null
+++ b/dyneIII/.gitignore
@@ -0,0 +1,2 @@
+linux-kernel/build
+
diff --git a/dyneIII/install-grub2 b/dyneIII/install-grub2
new file mode 100755
index 0000000..3c50e45
--- /dev/null
+++ b/dyneIII/install-grub2
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ echo "usage: $0 full_path_to.iso"
+ exit 1
+fi
+
+ISOPATH=$1
+
+if ! [ -r $ISOPATH ]; then
+ echo "Error: no iso found: $ISOPATH"
+ exit 1
+fi
+
+echo "This program should be run as root."
+
+cat <<EOF > /etc/grub.d/35_dynebolic
+#!/bin/sh
+exec tail -n +3 \$0
+# This file adds a grub entry to boot into a dynebolic iso
+menuentry "dyne:bolic 3.0" --class gnu-linux --class gnu --class os {
+ search --set --file $ISOPATH
+ loopback loop $ISOPATH
+ root=(loop)
+ linux /live/vmlinuz boot=live iso-scan/filename=$ISOPATH fromiso=/dev/sda6$ISOPATH noeject noprompt --
+ initrd /live/initrd.img
+}
+EOF
+
+chmod +x /etc/grub.d/35_dynebolic
+update-grub2
diff --git a/dyneIII/live-boot-usb/live-usb.sh b/dyneIII/install-usb-live
index beda14c..beda14c 100755
--- a/dyneIII/live-boot-usb/live-usb.sh
+++ b/dyneIII/install-usb-live
diff --git a/dyneIII/live-build-refine/lb-refine b/dyneIII/live-build-refine
index 9e21196..9e21196 100755
--- a/dyneIII/live-build-refine/lb-refine
+++ b/dyneIII/live-build-refine
diff --git a/dyneIII/live-init-scripts/scripts/live b/dyneIII/live-init-scripts/scripts/live
index f412d41..7a69f43 100755
--- a/dyneIII/live-init-scripts/scripts/live
+++ b/dyneIII/live-init-scripts/scripts/live
@@ -1423,11 +1423,13 @@ check_dev ()
devname="${2}"
skip_uuid_check="${3}"
+
+ # fixed by Jaromil to support FAT usb partitions
+ is_supported_fs vfat
+
# support for fromiso=.../isofrom=....
if [ -n "$FROMISO" ]
then
- # fixes by Jaromil to support FAT usb partitions
- is_supported_fs vfat
mkdir -p /isofrom
ISO_DEVICE="$(echo $FROMISO | sed 's|\(/dev/[a-z]*[0-9]*\).*|\1|')"
mount "$ISO_DEVICE" /isofrom